iMist2 Gateway - Retrofit Kit

Enables installation of iMist2 on Pre-2018 Gen 1.3 and Gen III and Gen III+  systems. 

Controller firmware update required to retrofit Gen 3/3+ units purchased prior to 2/15/2017

Controller firmware update required to retrofit Gen 1.3 units purchased prior to 4/17/2017.

NOTE: On Gen 1.3 systems that are NOT "iMist2 Ready", adding leak protection is also required to work with iMist2.  
For "iMist Ready" Gen 1.3 systems buy this gateway instead.

"iMist2" -- the latest from MistAway!
To learn more about iMist2 Ready, click here
To learn the required components of iMist2, click here


sold individually, special order Item, no returns

Related Items